> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mezmo.ferndocs.com/api-reference/log-analysis/enterprise/list-enterprise-keys/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server. # List all enterprise keys GET https://api.mezmo.com/v1/enterprise/keys Retrieves all keys of the enterprise Reference: https://mezmo.ferndocs.com/api-reference/log-analysis/enterprise/list-enterprise-keys ## Authentication - `enterprise-servicekey` header (required) — When authorizing against our enterprise endpoints, they expect an enterprise service key instead of a regular organization service key. Some endpoints might expect both an enterprise service key and a regular organization service key. ## Response ### 200 A list of enterprise service keys is returned on success. - `list of keyResource` ## Errors ### 400 Bad Request Error Invalid query params - `error` (string, optional) — A human-readable description of the error - `code` (string, optional) — A unique code for the type of error - `status` (string, optional) — The status of the request ## Types ### keyResource - `id` (string, optional) — The ID of the key - `key` (string, optional) — A secret key which can be used to authenticate requests to Mezmo. - `name` (string, optional) — A user friendly name for the key - `type` (enum, optional) — The type of the key - Allowed values: `ingestion`, `service` - `created` (integer, optional) — The time the key was created as a Unix timestamp in milliseconds ## Examples **Response** ```json [ { "id": "629e3f7e62295be60488fb26", "key": "7b273eb8adc962f2711ad760730debb0", "name": "servergroup_0_ingestion", "type": "ingestion", "created": 1654538253244 } ] ``` **SDK Code** ```python import requests url = "https://api.mezmo.com/v1/enterprise/keys" headers = {"enterprise-servicekey": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mezmo.com/v1/enterprise/keys'; const options = {method: 'GET', headers: {'enterprise-servicekey': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.mezmo.com/v1/enterprise/keys" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("enterprise-servicekey", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mezmo.com/v1/enterprise/keys") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["enterprise-servicekey"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.mezmo.com/v1/enterprise/keys") .header("enterprise-servicekey", "") .asString(); ``` ```php request('GET', 'https://api.mezmo.com/v1/enterprise/keys', [ 'headers' => [ 'enterprise-servicekey' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mezmo.com/v1/enterprise/keys"); var request = new RestRequest(Method.GET); request.AddHeader("enterprise-servicekey", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["enterprise-servicekey": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v1/enterprise/keys")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```